import React, { CSSProperties } from 'react';
import { EditorView, EditorProps } from 'prosemirror-view';
import { EditorState, Transaction } from 'prosemirror-state';
export interface Handle {
    view: EditorView;
}
interface PropsBase extends EditorProps {
    state: EditorState;
    style?: CSSProperties;
    className?: string;
}
interface PropsWithOnChange extends PropsBase {
    onChange: (state: EditorState) => void;
    dispatchTransaction?: never;
}
interface PropsWithDispatchTransaction extends PropsBase {
    dispatchTransaction: (transaction: Transaction) => void;
    onChange?: never;
}
declare const _default: React.ForwardRefExoticComponent<(PropsWithOnChange & React.RefAttributes<Handle>) | (PropsWithDispatchTransaction & React.RefAttributes<Handle>)>;
export default _default;
